===================================
Sabbat Martyr SkullTag Deathmatch Changelog
===================================

Legend:
~ "Removed"
+ "Added to"
* "Changed/Updated"
<!> “Known Bugs”
= "Fixed Bugs"


~~~~~~~~~~~
Final Changes
~~~~~~~~~~~
+ Added CHATLUMP for the Magnus-bot.
* Switched SMDM36 and SMDM42.
* Updated readme.txt.
* Added updated CMPGNINF lump by jimmy...just in time!!
* Updated BOTINFO lump by jimmy and myself.
* Updated JIMBCHAT chatlump.
* Updated WADINFO lump.
* Tweaked Karasawa a bit more.
* [SMDM36] Changed Green Armour to Red Armour.
= Fixed doom_kid bot chatlump.
= Fixed missing TITLEPATCH for "The Dam".

~~~~~~~~~~~
Pre-Release Changes
~~~~~~~~~~~
~ Removed SMDM08 and SMDM13 along with their TITLEPATCHES and music.
~ Removed some sound files that were no longer being used.
+ Added new map "MarbHell" by Crash Man along with new music and TITLEPATCH (replaces SMDM13).
+ Added new map "Weapons HQ Massacre" by doom_kid along with new music and TITLEPATCH (replaces SMDM08).
+ Added new bot and chatlump!  Goblin-bot (by...who else?  Goblin!).
+ Added another new chatlump for the doom-kid bot.
+ Gave the Karasawa a DECALDEF entry.
* [SMDM12] Added more health to increase the Prosperity Rune's effectiveness.
* [SMDM15] Removed a chunk of the brain-melting grass and fixed a texture error.
* [SMDM21] Flagged all things for 'Deathmatch'.
* [SMDM22] Added an extra SSG, as some people couldn't find the other one.
* [SMDM26] Made the lifts activate by pressing on them.
* [SMDM29] Fixed the exit.
* [SMDM36] Made every other Health and Armour Bonuses Max of each.
* Updated music for "Area 69" by th0r.
* Tweaked the Karasawa so that's more balanced.
* Updated the Readme file...there's now a recommended map rotation list...be sure to check it if you plan on hosting this in a server!!
= Hopefully fixed the weird LOSEPIC and WINERPIC bug...hopefully...
<!> Lump updates by jimmy aren't in yet...they will be soon though (hopefully).  Anyways, one of the minor problems that arose with the CMPGNINF lump
    was that some of the maps didn't support bots well enough to the point to where the map wouldn't be playable (with bots, that is).

~~~~~~~~~~~
4.3 Changes
~~~~~~~~~~~
~ Removed the NailGun sprites (I'm tired of shooting nails from a giant bumblebee ass).
~ Removed rocket trails.
~ Removed HellFire Cannon (and sounds, etc).
~ Removed a few textures and a flat as they are no longer used.
+ Added new weapon! [Again!].  The Karasawa High-Density Laser Rifle...or just Karasawa.  (Original Concept by Mechadon, DECORATE and Resources by Mechadon w/ some DECORATE help from StrikerMan780).
* [SMDM31] Updated by jimmy91.
* Magnus skin updated (has new sounds!).
* HeatMan bot now as a chatlump.
* Rocket recolors updated by jimmy91.
* Plasma gun pick-up sprite updated by jimmy91.

~~~~~~~~~~~
4.2 Changes
~~~~~~~~~~~
~ Removed everything that had to do with the Prox Launcher as it is a bitch and will no longer get my love.
~ Removed NailGun bullet puffs to decrease lag in online games.
+ Added a new weapon!!  The HellFire Cannon (Original Concept by Mechadon, DECORATE and Resources by StrikerMan780 and Mechadon).
+ Added a cool fire sprite trail to the rockets (need to check and make sure they don't cause lag in online games).
* [SMDM07] Fixed hanging corpse bug; aligned some textures.
* [SMDM18] Fixed the exit room HOM bug...yet again.
* [SMDM21] Map updated by Dread.
* [SMDM22] Fixed the exit door so that it can be opened and reopened.
* [SMDM30] Made the edges of the Dam impassible so you can't rocket jump over to the cliffs.
* Decreased the power of the NailGun by one unit to balance it out just a bit more.
* Updated CMPGNINF lump.
* Updated SKININFO lump.
* Updated CREDMAP with new credits.
* Updated readme.txt
* Reduced the volume of the Mechadon skin sounds by -6 dbs.
* Cyberdemons and Mancubuses now drop HellFireCannons.
= Prox Launcher bugs are now totally gone...because it no longer exists!!
= [SMDM42] Fixed the th0r bot bug.
<!> If you have annoucners in your /announcer folder, they can [and will] mess with the new sounds effects.  Nothing can be done about this on my behalf, unfortunately.

~~~~~~~~~~~
4.1 Changes
~~~~~~~~~~~
~ Removed Prox Launcher firing and pickup sprites.
~ Removed NailGun firing and pickup sprites.
+ Added the maps "The Dam" by sirtimberwolf and "Spirit Cave" by StrikerMan780.
+ Added TITLEPATCHES to both of the new maps (via jimmy91).
+ Added music to the map "The Dam"
+ Added an exit to the map "The Dam"
+ Added new Prox Launcher firing and pickup sprites.
+ Added new NailGun firing and pickup sprites.
+ Added new titlepatch for "The Dam".
* [CREDMAP] Updated credits and made some small map adjustments.
* [SMDM03] Labed the eixt with the Exit Sign texture.
* [SMDM05] Lowered the Bridge things in the center platform so that players can now jump over them properly.
* [SMDM07] Added a Delay to the Earthquake/Terrain shifting script to prevent player abuse and the HOM's it caused.  Also lightened up an area for the Prox Launcher.
* [SMDM10] Made the Nukage Pit Insta-Death.
* [SMDM11] Redid the BFG10K Teleporting script so that it [should] work properly in online games.
* [SMDM12] Added another entry/exit point to the end of the north-eastern hallway to improve game flow.
* [SMDM13] Fixed a missing texture/flat.
* [SMDM14] Made the fence textures in the BFG room impassible, fixed the credit script.
* [SMDM19] Fixed steps so that the left set looked the same as the right set.
* [SMDM22] Fixed a texture error that occured from transferring from 96f to 97b.
* [SMDM30] Fixed some texture misalignments.
* [SMDM31] Replaced Plasma Ammo with a clip and shotgun shells.
* [SMDM32] Fixed Bridge things along the northern parts of both railings so that they don't interfer with the player while moving.
* [SMDM37] Fixed numerous texture alignments.  Changed the music due to popular demand.
* [SMDM42] Fixed a wrong texture.  Gave the "evenlighting" flag in the MAPINFO lump.
* Added an updated version of "Destination Teleportation" by Mastan.
* Changed the music for the Intermission Screen.
* Changed the music for Hang 'Em High, because apparently I didn't do it last time even though I thought I did.
* Fixed the shotgun (via StrikerMan780).
* Recolored and tweaked Nails.
* Updated the Prox Launcher code (HUGE thanks goes out to theshooter7, Crash Man, Arachnotron II, and jimmy91).
* Changed the name of the music lumps for the maps "Ruined Temple" and "Enter The Void" so they no longer conflict with Skulltag's music.
* Fixed SMDM06 and SMDM19 in the MAPINFO lump so that they would be warped too from the pervious maps.
* Changed the the credits for theshooter's map around to the way he wanted it (w/ pretty color effects and stuff).
* Updated the smdm_readme.txt.
= Prox Mines now activate when the mine is located above the height of the player (awesome++!).
= Almost all of the previous minor and major prox bugs have been fixed.
<!> Sometimes when you hit a player with a prox mine directly, it will kill them, but the prox mine will not disappear.  However, this is not major enough to me to really worry about at this time.
<!> Prox Mines cannot be triggered through their prox radius by monsters.  Don't really care too much about this one either.
<!> When playing the map "Titanium Tide 1024", when bots spwan in certain points in the map, they are overwhelemed by the map and thus do not act properly.  There's nothing that can be done about this, however it does not make the map unplayable with bots.

~~~~~~~~~~~
4.0 Changes
~~~~~~~~~~~
~ Removed old grenade recolors.
~ Removed old rocket recolors.
~ Removed old BFG10K recolor.
~ Removed Dehacked Flesh Impact Sound and moved it to Decorate.
~ Removed all the titlepatches.
~ Removed the following skins/bots:  Ash Williams, Tardino Cassat, Tails, and Shadow (to reduce file size).
~ Removed the maps Bridge Mayhem and Strafe Unit (they were already in another megawad).
+ Added the NailGun (and subsequent code, sounds, and sprites).
+ Added the Prox Launcher (and subsequent code, sounds, and sprites).
+ Added the new weapons to various maps.
+ Added the new maps "Doom II Arena" by jimmy91, "The Forgotten Ruins" by theshooter7, "Sector T7" by theshooter7, "Castle Sorrow" by Siliconwolf, and "Holofernes" by Mechadon.
+ Added new Titlepatches by jimmy91.
+ Added exits to "Ruined Temple" and "Area 69".
+ Added a CREDMAP which displays all of the credits.
+ Added new grenade recolors (courtesy of jimmy91 and Xaser).
+ Added new rocket recolors (based off previous rocket recolor...its much easier to spot them now).
+ Added new rocket launcher recolor.
+ Added new BFG9000 recolor.
+ Added new BFG10K recolor (based off of the new 97b BFG10K sprite).
+ Added old 96f flats/textures to fix missing texture bug in 97b (dear god...thank you StrikeMan!!).
+ Added new particle effect for OpenGL.
+ Added new skins:  Magnus (by jimmy91), and Mechadon.
+ Added new sounds for the Mechadon skin.
+ Added a new bots; Mechadon, StrikerMan780, (ST)Theshooter7, Th0r, doom_kid, HeatMan, Phobos, Moebius, Vortex, Torque, Abyzmal, Flysk, Deltus, Magnus, and Xenus.
+ Added CHATLUMPs for the following bots:  Mechadon, StrikerMan780, (ST)Theshooter7, Th0r, Fluffdude.
+ Added new RailGun firing sound (tweaked by Strikerman).
+ Added CONBACK graphic.
+ Added new DECORATE thing; Bush (via Mastan).
+ Added blood trails/flesh peices that fly off occasionally when you get shot.
+ Added blood mist, Like in modern games that use a spray/misty blood splatter when hit at high speed.
+ Added some shaders for OpenGL games (play Polished Chrome in OGL).
+ Added Ricochets - Sparks fly when a shot ricochets, similar to JDoom's Effect.
+ Added a new Barrel Type - Nuclear Barrel; Vaporizes whoever is caught in the large blast radius.
+ Smarter Imp, claws with both hands, and runs at you if you get knocked back by claws (for Invasion and later use).
+ Unique blood colors for Monsters.
+ Arachnotron and Revenant Now drop nailgun for Invasion.
+ Added Dehacked to use extra BFG firing frame that wasn't used in default doom. 
+ Compiled the readme.txt to add to the final release (also added the information to a WADINFO lump in the .wad).
* Added an updated CMPGNINF lump (thanks to jimmy91!).
* (Rozenctraz) Changed color of blue firesticks to white.
* (Hang 'Em High) Changed music to a .midi version of the original...composed by jimmy91.
* (Pyrethrum II) Fixed all textures that were changed because of renamed textures in the Skulltag wad.
* (Titanium Tide 1024) Fixed texture misalignment and a DM start Z-Height bug, tweaked and added more DM starts.
* (Speed of Hell) Fixed a missing texture, made a small texture adjustment.
* (Heavy Metal) Small updates made by Mechadon.
* (At The Sabbath) Fixed skybox statues.
* (Spaceship Cargo Platform) Updates made by Strikerman780.
* (Heaven Torn Asunder) Made a major upgrade...added tons of decor, fixed all of the bugs/gameplay issues.
* (Digging Up The Corpses) Made a major upgrade...addeds tons of decor, a new room/path, made changes to item placements, etc etc.
* (Enter The Void) Fixed missing textures from 97b.
* (Polished Chrome) Fixed OpenGL bug where the BRONZE window textures would cause a HOM in the transparent area.
* (Toxicold) Fixed OpenGL bug where one of the window textures would cause a HOM in the transparent area.
* (Ad Infinitium) Map updated by jimmy91.
* (The Hypostyle) Updates were made by theshooter7 and I made some texture alignments.
* (The Core) Added some decorations by me and other tweaks and decor by Mastan.
* (Bridge Mayhem) Fixed a bunch of unclosed sectors.
* (Cold Fusion) Changed music (it was the track I was going to use ahead of time, but until now it didn't loop properly).
* (Destination Teleportation) Unfortunately, there wasn't enough time for me to add decor (:/), but I did align some texture and added new music.
* (Sector T7) Added an exit.
* (Neon City) Updated by Rabbit lord.
* (Fortress Of doom_kid) Fixed a bleeding texture.
* (Impregnable Domain) Fixed a bleeding texture and numerous unclosed sectors.
* (Forgotten Ruins) Added an exit.
* (Area 69) Changed music (previoius tune did not loop properly).
* Decreaded the global volume in Pyrethrum II's music...also increased the volume of the BFG crusher sound.
* Updated the DECORATE code for the floating marine decor by jimmy91.
* Added new TITLEPIC, WINERPIC, LOSERPIC, and INTERPIC.
* Changed the RADIO, THUNDER, Railgun, and BFG firing sounds (Radio and Railgun sounds tweaked by Strikerman).
* Added Translucency to Prox mine explosion.
* Ran the wad through the Wad Cleaner utility to get rid of unused textures.
* Fixed a bunch of other things that I can't even remember now.
= Fixed the Imp Fireball.
= Prox Mine Multiplayer bugs fixed (hopefully).
= Terrain splashes actually work right now.
= Missing textures/flats fixed by Strikerman780.
= (Cold Fusion) Exit room bug fixed by Strikerman780.
= DeHacked weapon pick-up messages when a bot picks up a weapon are now gone.
= ENTER scripts now work!  Thanks to the release of 97c2!
<!> Many of the maps are very buggy in OpenGL at this time (this is Skulltag's fault, not the maps).  These would include fubar'd skyboxes, messed up horizons, very weird rendering, and other "unexplainable" bugs (see "Belphegor's FFA in OpenGL).  This may or may not be fixed, depending on if anyone takes up development in place of Carnevil.
<!> The Spread Rune does not work with the two new, DECORATE weapons.  I'm fairly sure the rest of the weapon-effecting runes do work, however.

~~~~~~~~~~~
3.1 Changes
~~~~~~~~~~~
~ Removed rocket/grenade explosion sprite recolor.
~ Removed previous shotgun firing sprite.
+ Added three new skins...Ash Williams, Taradino Cassat, and Shadow the Hedghog...also made bots out of them.
+ Added new rocket recolor as well as rocket ammo and ammo box recolors.
+ Added an enhanced shotgun firing sprite.
+ Added new Rocket Launcher Sound.
+ Added new BFG firing sound...it should cope well with online games.
+ Added "flesh hit" sounds (very cool effect, I might add).
+ Added heartbeat sounds for "Pillar w/ Beating Heart" sprite.
* Rocket Launcher and Grenade Launcher now have sperate sounds.
* (Titanium Tide 1024) Fixed a misaligned texture, fixed lift bug.
* (Alter of Death) Reduced ambient rain sound.
= Fixed the SMALL font bug.
= (The Core) Fixed skybox.
<!> The same bugs that exist in Beta III are still present for the moment.

~~~~~~~~~~~
3.0 Changes
~~~~~~~~~~~
~ Removed Bunker from the map list.
~ Removed the BFG9000 firing sound.  The firing sound is replaced with original
~ Removed recolored D64 Chaingun sprite.
~ Removed the Rocket Box, Rocket (ammo), Plasma Cell, Plasma Pack, and Rocket (fire) sprites.  They are replaced with the originals.
+ Added finished versions of Speed of Hell, Belphegor's FFA, E1M1337, Jailhouse, Construction Zone, Mini-Mayhem, Alter of Death, Polished Chrome, The Impregnable Domain, Destination Teleportation, Into The Void, Ruined Temple, and Ad Infinitium.
+ Added a new color pallete/scheme.
+ Added music to Polished Chrome and Destination Teleportation.
+ Added an exit to Ad Infinitium.
+ Determined map rotation and remaded all maps using this standard:  SMDM##
+ Added CMPGNINF lump for the SMDM levels.
+ Added new recolored Chaingun sprite (base was original Doom Chaingun sprite).
+ Added new Pistol recolor.
+ Added two new skins, Tails (via Strikerman780), and Doom_kid (erm...by doom_kid, of course!)
+ Added new shotgun sprite (an enhanced verison of the Doom 64 shotgun by Strikerman780).
+ Added new frames and a muzzle flash to the Supershotgun (integrity of the gun is still the same).
+ Added new statbar graphics.
+ Added all of the TITLEPATCHS for each map.
+ Added new font graphics (for both the SMALL and BIG fonts).
+ Added an abundance of new sounds (for the doors, lifts, speaking, etc etc).
+ Added new font for the statbar.
+ Added new title music.
+ Made bots out of all the new skins.
+ Added sprite for rain (By Strikerman, for his map "Alter of Death").
+ Added new sprite for the plasma pack and cell (now mathces the Plasma color).
* All OPEN scripts have been changed to ENTER scripts (thanks to The DOS Guy!).
* Due to the nature of the new font, the credit text placements have been moved around slightly.
* Pistol and Chaingun sounds are now different from eachother.
* Changed the minigun sound.
* Changed the pistol sound.
* Changed the plasma bolts to the recolored ones by jimmy91 (plasma is now bright red!).
* (Rozencratz) Made some cosmetic adjustments, fixed bug where you could see the sky clipping from spread cliff, switched plasma with rocket launcher again.
* (Hang 'Em High) Added some ceiling detail.
* (Pyrethrum II) Fixed scrolling floor bug, and increased the distance for the automatic doors, replaced backpack with Soulsphere, replaced previous Soulsphere with Turbosphere, fixed bridges.
* (Cold Fusion) Removed the snow particle effects from Cold Fusion because it made the map unplayable online with a large number of people.
* (Titanium Tide 1024) Changed inivisible sphere to High Jump rune, fixed some texture misalignments, and added more floor decorations.
* (At the Sabbath) Changed the Invisibility Sphere to a Beserk Pack.
* The following maps have received updates:  The Core
* Music in Hang 'Em High changed back to the original.
* Music from the map The Core was changed from the .MP3 format to the .OGG format, which decreased the filesize by about 2 mB.
<!> During a game with bots, messages about the DeHacked weapons appear everytime a bot picks up a weapon (just like it does in Nimrod PD).
<!> Map updates that aren't in place yet:  Heaven Torn Asudner, Digging Up The Corpses, The Hypostyle.
<!> Ruined Temple doesn't have a titlepatch at the moment.
= The Grey Water Terrain Splashs have been fixed.
= Damage Control's gameplay issues have been resolved and it now has an exit.
= The Core's script for the monster battle has been scrapped.

~~~~~~~~~~~
2.0 Changes
~~~~~~~~~~~
~  Removed Vertigone II, Belial's Hell, The Graved Temple, Heart Queen Fortress, and Hell Bash, Phendrana Drifts, The Green Room from the map list.
~  Removed music from the map Digging Up The Corpses and replaced it with a temporary .midi music file.
~  Removed previous shotgun, supershotgun, plasma rifle, rocket launcher/grenade launcher and chaingun sound f/x.
+  Added finished versions of Cold Fusion, Titanium Tide 1024, Liquid Metal, Neon City,  Spaceship Cargo Platform, At The Sabbath, Martyr Courtyard, Toxicold, The Motherland, and Van Dusen's Lair, The Core, Strafe Unit, and Bridge Mayhem.
+  Added partially finished versions of Damage Control and Speed of Hell.
+  Added new sounds effects for Pistol/Chaingun, Minigun, Shotgun/SuperShotgun, Rocket Launcher/Grenade Launcher as well as a new gibbing sound effect from Strikerman780.
+  Added exits to the following maps:  At the Sabbath, Martyr Courtyard, Toxicold, The Motherland, The Edge of Existance, Doomkid’s Fortress.
+  Added music to the following maps:  At the Sabbath, Martyr Courtyard, Toxicold, The Motherland, Van Dusen’s Lair, The Core.
+  Added the following weapon recolors:  Chaingun, Minigun, Rockets, Grenades, Rocket/Grenade Explosion.
+  Added Terrain definitions (via Strikerman780)
+  Added the following new skins (via Strikerman780):  Fluff Dude, Sonic, Link.
+  Added GreyWater liquid Terrain Splashes (sprite recolors and DECORATE/TERRAIN lump entries by me).
*  (Hang ‘Em High)  Changed music and made some small architecture changes to increase gameplay value.
*  (Pyrethrum II) Increased Door Opening Speed, added 1 more player start, fixed tagging issue under the lava mixer, added instant kill underneath lava mixer.
*  (Rozencratz) Increaded Door Opening Speed, removed Reflect Rune (and replace with a player start), switched Rocket Launcher with Plasma Rifle, reduced health/armor bonuses in half inside of hallways, changed outside Stimpack to Medipack, added more decorations.
*  Converted Doom_kid’s maps to Hexen format and added the opening script.
*  Cleaned up BFG and Plasma sprites and aligned the ammo box sprites.
<!>  Damage Control doesn't have an exit...yet (the map is unfinished).
<!>  The Core's monster battle doesn't work in online games.  If you want to view the monster battle, un-comment the last part of the script and play in an offline game ONLY!  Mastan is trying to figure out a way to make this work in online games.
<!>  Some map updates still aren't in place with this new Beta...those would inlude Bunker, Digging Up The Corpses, Heaven Torn Asunder, and The Hypostyle.
<!>  The Grey Water Terrain splashes that I did aren't perfect...but they'll do until I can get some help finishing them.

~~~~~~~~~~~
First Beta
~~~~~~~~~~~
See 2.0 for changes from first Beta release.
